Package org.apache.tapestry5.services

# Interface PageRenderLinkSource

All Known Implementing Classes:
  `PageRenderLinkSourceImpl`

public interface PageRenderLinkSource
A service that allows other services to create page render links.

Since:
  5.1.0.2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Link`
  `createPageRenderLink(Class pageClass)`
  Creates a page render link using the page's class to identify the target page, and using the pages normal passivation context (if it has one).
  `Link`
  `createPageRenderLink(String pageName)`
  Creates a page render link using the page's normal passivation context (if it has one).
  `Link`
  `createPageRenderLinkWithContext(Class pageClass, Object... context)`
  Creates a page render link using the page's class to identify the target page, and using an override of the page's passivation context (possibly an empty one).
  `Link`
  `createPageRenderLinkWithContext(Class pageClass, EventContext eventContext)`
  Creates a page render link using the page's class to identify the target page, and using an override of the page's passivation context
  `Link`
  `createPageRenderLinkWithContext(String pageName, Object... context)`
  Creates a page render link using an override of the page's passivation context (possibly an empty one).
  `Link`
  `createPageRenderLinkWithContext(String pageName, EventContext eventContext)`
  Creates a page render link using an override of the page's passivation context.

- ## Method Details

  - ### createPageRenderLink

    Link createPageRenderLink(String pageName)
    Creates a page render link using the page's normal passivation context (if it has one).
    Parameters:
      `pageName` - name of page to create link to
    Returns:
      render link for the page

  - ### createPageRenderLinkWithContext

    Link createPageRenderLinkWithContext(String pageName, Object... context)
    Creates a page render link using an override of the page's passivation context (possibly an empty one).
    Parameters:
      `pageName` - name of page to create link to
      `context` - zero or more values to encode as the passiviation context
    Returns:
      render link for the page

  - ### createPageRenderLinkWithContext

    Link createPageRenderLinkWithContext(String pageName, EventContext eventContext)
    Creates a page render link using an override of the page's passivation context.
    Parameters:
      `pageName` - name of page to create link to
      `eventContext` - the EventContext to encode as the passiviation context
    Returns:
      render link for the page
    Since:
      5.2.0.0

  - ### createPageRenderLink

    Link createPageRenderLink(Class pageClass)
    Creates a page render link using the page's class to identify the target page, and using the pages normal passivation context (if it has one).
    Parameters:
      `pageClass` -
    Returns:
      render link for the page

  - ### createPageRenderLinkWithContext

    Link createPageRenderLinkWithContext(Class pageClass, Object... context)
    Creates a page render link using the page's class to identify the target page, and using an override of the page's passivation context (possibly an empty one).
    Parameters:
      `pageClass` -
      `context` - zero or more values to encode as the passiviation context
    Returns:
      render link for the page

  - ### createPageRenderLinkWithContext

    Link createPageRenderLinkWithContext(Class pageClass, EventContext eventContext)
    Creates a page render link using the page's class to identify the target page, and using an override of the page's passivation context
    Parameters:
      `pageClass` -
      `eventContext` - the EventContext to encode as the passiviation context
    Returns:
      render link for the page
    Since:
      5.2.0.0